.body {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  overflow-y: auto;
}

.body-fullscreen {
  overflow-y: hidden;
}

.content {
  margin: 20px 0;
  padding: 25px 5px;
  width: 40%;
  height: fit-content;
  background: white;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 5px;
}

.mobile {
  width: 95%;
}

$player-width: 1100; // Использовано большое значение; чтобы длинные названия не появлялись поверх видео во время паузы

.videoContainer {
  position: relative;
  overflow: hidden;
  aspect-ratio: 16/9;
  cursor: pointer;
  margin-top: 20px;

  >div {
    overflow: hidden;
    height: 100%;
    width: 100%;
    pointer-events: none;
  }

  iframe {
    height: 100%;
    width: calc($player-width*1%);
    margin-left: calc(-1 * ($player-width - 100) / 2 * 1%);
  }
}

.videoContainer-fullscreen {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  height: auto;
  width: 100vw;
  margin-top: 0;
}

.videoContainer-fullscreen-vertical {
  overflow: hidden;
  max-height: 100vh;
  min-width: min(316vw, 178vh) ;
}

.button-primary {
  background-color: #2ea44f;
  border: 1px solid rgba(27, 31, 35, .15);
  border-radius: 6px;
  box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
  color: #fff;
  cursor: pointer;
  font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
  padding: 6px 16px;

  &:hover {
    background-color: #2c974b;
  }
}

.exit-fullscreen {
  position: fixed;
  z-index: 101;
  bottom: 30px;
  right: 30px;
}

.button-group {
  display: flex;
  justify-content: space-around;
}

.fullscreen {
  position: fixed;
  z-index: 100;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: black;
  overflow: hidden;
}